GenerateToken
curl --request POST \
--url https://api.siftstack.com/api/v1/external-sync:generate-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.siftstack.com/api/v1/external-sync:generate-token"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/external-sync:generate-token"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"externalSync": {
"scimServerUrl": "<string>",
"tokenLifetimeSeconds": 123,
"organizationId": "<string>",
"mostRecentSyncDate": "2023-11-07T05:31:56Z",
"mostRecentSyncByUserId": "<string>",
"tokenCreatedDate": "2023-11-07T05:31:56Z",
"mostRecentTokenByUserId": "<string>"
},
"token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ExternalSyncService
GenerateToken
Generates a token for synchronizing an organization’s users and groups
POST
/
api
/
v1
/
external-sync:generate-token
GenerateToken
curl --request POST \
--url https://api.siftstack.com/api/v1/external-sync:generate-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.siftstack.com/api/v1/external-sync:generate-token"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/external-sync:generate-token"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"externalSync": {
"scimServerUrl": "<string>",
"tokenLifetimeSeconds": 123,
"organizationId": "<string>",
"mostRecentSyncDate": "2023-11-07T05:31:56Z",
"mostRecentSyncByUserId": "<string>",
"tokenCreatedDate": "2023-11-07T05:31:56Z",
"mostRecentTokenByUserId": "<string>"
},
"token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I